Mailinglist Archive: opensuse (2459 mails)

< Previous Next >
Re: [opensuse] Is yum my problem?
  • From: "M9." <monkey9@xxxxxx>
  • Date: Sat, 01 Mar 2008 14:41:32 +0100
  • Message-id: <47C95D0C.8050607@xxxxxx>
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1



Joe Morris schreef:
| On 03/01/2008 09:01 PM, James Pifer wrote:
|> Reinstalling my system using 64 bit has fixed many of many performance
|> issues. Coming from the redhat line I'm used to using yum and like using
|> yum. I've installed yum on opensuse 10.3 and added the videolan and
|> packman repos. I'm having a lot of problems with things getting broken.
|>
|> For example, if I install vlc it installs a bunch of packages, but does
|> not remove any. It wants to install both 64 and 32 bit. I don't know why
|> it's doing that. After installing vlc yum and rpm are broken because
|> libpopt.so.0 is missing. Actually it's libpopt.so.0.0.0 or something. I
|> may be off slightly there, but the point is the same.
|>
|> Anyway, I reinstalled from scratch and made sure I did NOT install the
|> 32bit support as part of the install. Installing vlc did the same
|> thing.
|> I'm reinstalling again because I don't know what else got broken even if
|> I fix popt. I'll try using just yast for the installations and see if
|> that goes better.
|> Just to be clear, it's not just vlc causing this, that was just an
|> example.
|> Any suggestions?
|>
| I have never used yum, but I did use smart and had several times when it
| wanted to do similarly sounding things. I have also used apt4rpm in the
| past, and it also had a harder time keeping the arch straight. I have
| found Yast to be much better, and with the graphical version easily
| seeing which arch it wants to update/install, I use it exclusively now
| for the last 2 versions. I would highly recommend sticking with Yast.
| It will help you keep your system working. It isn't perfect, but it is
| the best I have tried.
|

Absolutely, Yast2 uses yum sources also, and the solver is normaly very
well able to get what you want.

- --


Have a nice day,

M9. Now, is the only time that exists.


~ Besturingssysteem: Linux 2.6.22.17-0.1-default x86_64
~ Current user: monkey9@AMD64x2-sfn1
~ System: openSUSE 10.3 (x86_64)
~ KDE: 4.0.1 (KDE 4.0.1) "release 9.1"

~ OS: Linux 2.6.22.17-0.1-default x86_64
~ Huidige gebruiker: monkey9@AMD64x2-sfn1
~ Systeem: openSUSE 10.3 (x86_64)
~ KDE: 3.5.7 "release 72.6"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.4-svn0 (GNU/Linux)
Comment: Using GnuPG with SUSE - http://enigmail.mozdev.org

iD8DBQFHyV0MX5/X5X6LpDgRAsdSAJ42rzx16au5z2fAwXlj1//Ah3u5vQCff4Fq
Gx9lLUTK4utJQzPE+HVbERk=
=nCBF
-----END PGP SIGNATURE-----
--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse+help@xxxxxxxxxxxx

< Previous Next >
References